This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488331 - disk space check doesn't work in test transaction
disk space check doesn't work in test transaction
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 13:38 EST by seth vidal
Modified: 2013-07-28 21:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 05:37:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description seth vidal 2009-03-03 13:38:49 EST
Description of problem:
I setup a transaction set in python on a system with insufficient disk space to perform the transaction. I run the test transaction, it says no errors.

I pass the same transaction set to run as a final transaction, it outputs all the "X disk space needed" errors.



Version-Release number of selected component (if applicable):
rpm 4.6.0-11.fc11 i586 
rpm-python the same
Comment 1 Panu Matilainen 2009-03-10 16:01:32 EDT
Hmm, can't reproduce here (failtest is a dummy test package trying to install a file in /boot and /boot filled up all the way):

[root@turre ~]# rpm -U /home/pmatilai/rpmbuild/RPMS/failtest-1.0-1.noarch.rpm	installing package failtest-1.0-1.noarch needs 5MB on the /boot filesystem
[root@turre ~]# rpm -U --test /home/pmatilai/rpmbuild/RPMS/failtest-1.0-1.noarch.rpm
	installing package failtest-1.0-1.noarch needs 5MB on the /boot filesystem
[root@turre ~]# yum -d0 -y --nogpgcheck install /home/pmatilai/rpmbuild/RPMS/failtest-1.0-1.noarch.rpm


Transaction Check Error:
  installing package failtest-1.0-1.noarch needs 5MB on the /boot filesystem

Error Summary
-------------
Disk Requirements:
  At least 5MB needed on the /boot filesystem.
Comment 2 seth vidal 2009-03-11 16:01:32 EDT
okay. so I can't figure out how I was making this happen, now, either.

I've tested it with multiple pkgs on multiple fses to no avail.

I'm closing notabug. sorry for the noise.
Comment 3 seth vidal 2009-04-02 17:42:55 EDT
okay. I can duplicate it.

This is on F10 with rpm-4.6.0-1.fc10.i386

http://sethdot.org/~skvidal/misc/transtest-no-disk-check.txt

It performs and completes the transaction test but only reports the diskspace errors when it goes to run the transaction.

there's a lot of data in this report:

on line 1841 - you see the Transaction Test completes
and right below that you see the errors come out from attempting to Run the transaction.
Comment 4 Panu Matilainen 2009-04-09 09:24:33 EDT
I'd say the disk-space check does run on the test-transaction too, the difference comes from actual disk-space difference between the two runs: the test-transaction can create rpmdb indexes and such which take some amount of disk-space which can cause this situation if the margin is small enough.
Comment 5 Bug Zapper 2009-11-18 06:16:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Panu Matilainen 2009-11-20 05:37:48 EST
There's no way to make this bulletproof as long as the rest of the system is alive around rpm, system logs get written to, yum itself is logging on the same fs between test and actual transaction and users can create files in /var/tmp/ etc. Rpm should however at least try to account for estimated database size, which is not done at all currently (tracked upstream at http://rpm.org/ticket/26)

Note You need to log in before you can comment on or make changes to this bug.